CreateCidr

1. API Description

This API (CreateCidr) is used to create a CIDR block.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

regionId

Yes

String

Region ID.

netmask

Yes

CIDR block size and quantity.

eipV4Type [Deprecated]

No

Network types of public IPv4.

Deprecated. Please use networkLineType instead.

networkLineType

No

Network types of public IPv4.

name

No

String

CIDR block name.

Length: 2–63 characters. Allowed characters: letters (A–Z, a–z), numbers (0–9), hyphen ( - ), slash ( / ), underscore ( _ ), and period ( . ) Must start and end with a letter or number. If not specified, the assigned CIDR address will be used as the default name.

resourceGroupId

No

String

Resource group ID.

marketingOptions

No

Information on marketing campaigns.

tags

No

Bound tags when creating the cidr block.

Tag keys must be unique.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

cidrIds

Array of String

ID list of created CIDR blocks.

4. Code Example

Create a CIDR block.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

OPERATION_DENIED_EIP_UNSUPPORT_NETWORK_TYPE

Elastic IP network billing model is not supported.

400

OPERATION_DENIED_CIDR_INSUFFICIENT

Insufficient CIDR blocks.

400

OPERATION_DENIED_CIDR_IP_COUNT_REACH_LIMIT

CIDR block quota limit exceeded.

Last updated